Closed Bug 954952 Opened 7 years ago Closed 7 years ago

Make autojoin and "Join Chat" handle excess whitespace better

Categories

(Chat Core :: General, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: aleth)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1520 at 2012-06-18 20:20:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Depends on: 953828
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 1520 as attmnt 1629 at 2012-06-18 20:20:00 UTC ***

Matches the /join syntax in bug 953828 (bio 385).
Attachment #8353386 - Flags: review?(clokep)
Comment on attachment 8353386 [details] [diff] [review]
Patch

*** Original change on bio 1520 attmnt 1629 at 2012-06-19 01:42:36 UTC ***

Looks good. :)
Attachment #8353386 - Flags: review?(clokep) → review+
Assignee: nobody → aleth
Status: NEW → ASSIGNED
No longer depends on: 953828
Whiteboard: [checkin-needed]
Whiteboard: [checkin-needed]
Attached patch PatchSplinter Review
*** Original post on bio 1520 as attmnt 1631 at 2012-06-19 10:34:00 UTC ***

Also prevents autojoins and the join Chat dialog from calling joinChat with a parameter that contains nothing but whitespace.
Attachment #8353388 - Flags: review?(clokep)
Comment on attachment 8353386 [details] [diff] [review]
Patch

*** Original change on bio 1520 attmnt 1629 at 2012-06-19 10:34:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353386 - Attachment is obsolete: true
Blocks: 953828
No longer blocks: 953828
Summary: Tolerate whitespace after commas in the autojoin parameter → Make autojoin and "Join Chat" handle excess whitespace better
Comment on attachment 8353388 [details] [diff] [review]
Patch

*** Original change on bio 1520 attmnt 1631 at 2012-06-20 00:56:49 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353388 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1520 at 2012-06-21 00:31:41 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/aab2aae54619
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.